<? $this->headLink()->appendStylesheet(_st('private/escorts.css')) ?>
<? $this->sitePath()->append($this->t('edit_escorts'), $this->getLink('edit-escorts')) ?>
<? $this->headTitle($this->t('edit_escorts'), 'PREPEND') ?>

<?
	$count = 0;
	$escorts = $this->agency->getEscorts(array(), $count);
	$this->count = $count;
	
	$rows = array();
	$config = Zend_Registry::get('escorts_config');
	
	for ( $i = 0; $i < ceil(count($escorts) / $config['perRow']); $i++ ) {
		$rows[] = array_slice($escorts, $i * $config['perRow'], $config['perRow']);
	}
	
	$page = intval($this->request()->page);
	if ( $page < 1 ) $page = 1;
	$this->params = array('page' => $page);
?>

<script type="text/javascript">
window.addEvent('domready', function () {
	$$('.edit').addEvents({
		mouseenter: function () {
			this.addClass('hover');
		},
		mouseleave: function () {
			this.removeClass('hover');
		},
		click: function () {
			this.addClass('active');
			var act = this.getParent('.home-box').getElement('.actions');
			act.setStyle('display', 'block');
			
			var func = function (e) {
				if ( e && ( e.target.getParent('.actions') || e.target == this || e.target.hasClass('actions') ) ) return;
				
				this.removeClass('active');
				act.setStyle('display', null);
				document.removeEvent('click', func);
			}.bind(this);
			
			document.body.addEvent('click', func);
			
			act.getElements('a').addEvent('click', function () { func() });
		}
	});
});
</script>

<? foreach ( $rows as $row ): ?>
<div class="line">
	<? foreach ( $row as $escort ): ?>
	<?php $escort = new Model_EscortItem($escort); ?>
	<div class="home-box" style="padding-right: 8px">
		<div class="name">
			<a href="/escort/<?= $escort->showname ?>"><?= $escort->showname ?></a>
			<span class="edit"></span>
		</div>
		<div class="img">
			<? if ( $escort->is_new ): ?>
			<span class="new"><img src="<?= _st('en_icon_new.gif') ?>" alt="New" /></span>
			<span class="created"><?= date('d.m.Y') == date('d.m.Y', $escort->date_registered) ? 'Today new' : date('d.m.Y') ?></span>
			<? endif ?>
		
			<? if ( $escort->verified_status == Model_Escorts::VERIFIED_STATUS_VERIFIED ): ?>
			<div class="p100-<?= $this->lang() ?>"></div>
			<? endif; ?>
			
			<?
			
				if ( $escort->photo_hash )
				{
					$photos = array();
					$count = 0;
					foreach ( $escort->getPhotos(1, $count, true) as $photo ) {
						$photos[] = $photo->getUrl('thumb', true);
					}
				}
			?>
			
			<a rel="<?= implode(',', $photos) ?>" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>"><img src="<?= ($escort->photo_hash) ? $escort->getMainPhoto()->getUrl('thumb', true) : _st('no-photo.jpg') ?>" alt="escort <?= $escort->showname ?>" width="150" height="200" /></a>
		</div>
		
		<div class="actions">
			<div><a href="<?= $this->getLink('edit-profile', array('id' => $escort->id)) ?>"><?= $this->t('edit_profile') ?></a></div>
			<div><a href="<?= $this->getLink('edit-photos', array('id' => $escort->id)) ?>"><?= $this->t('edit_gallery') ?></a></div>
			<div><a href="<?= $this->getLink('edit-rates', array('id' => $escort->id)) ?>"><?= $this->t('edit_rates') ?></a></div>
			<div><a href="<?= $this->getLink('edit-tours', array('id' => $escort->id)) ?>"><?= $this->t('edit_tours') ?></a></div>
			<div class="sep"></div>
			<div><a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id)) ?>" target="_blank"><?= $this->t('view_profile') ?></a></div>
			<div><a onclick="return confirm('Are you sure you want to delete escort?\n\nYou will not be able to revert changes!')" href="<?= $this->getLink('delete-escort', array('id' => $escort->id)) ?>"><?= $this->t('delete_escort') ?></a></div>
		</div>
	</div>
	<? endforeach; ?>
</div>
<? endforeach; ?>


<? $pages_count = ceil($this->count / $config['perPage']); ?>
<? if( $pages_count != 1 ): ?>
<div class="paging-list">
	<? $pages = $this->paging($this->count, $this->params['page'], $config['perPage']); ?>
	
	<? if ( 1 < $this->params['page']): ?>
	<a href="<?= $this->getLink('edit-escorts', array('page' => $this->params['page'] - 1)) ?>">&laquo; Previous</a>
	<? endif ?>
	
	<? foreach ( $pages as $page ): ?>
	
	<? if ( $this->params['page'] == $page ): ?>
	<span class="active"><?= $page ?></span>
	<? else: ?>
	<a href="<?= $this->getLink('edit-escorts', array('page' => $page)) ?>"><?= $page ?></a>
	<? endif ?>
	
	<? endforeach ?>
	
	<? if ( $pages_count > $this->params['page']): ?>
	<a href="<?= $this->getLink('edit-escorts', array('page' => $this->params['page'] + 1)) ?>">Next &raquo;</a>
	<? endif ?>
</div>
<? endif; ?>
